DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# MsrValueFunction

Measurement value function

WARNING: this documentation page is outdated!

## SYNOPSIS

`#include "dip_measurement.h"`

dip_Error (*dip_MsrValueFunction) ( measurement, featureID, objectID, data, format, resources )

## FUNCTION

The `value` function give access to the measurement values produced by the measurement function.

## ARGUMENTS

Data type | Name | Description
`dip_Measurement` | `measurement` | Measurement data structure
`dip_int` | `featureID` | Measurement function ID
`dip_int` | `objectID` | ID of the object to be measured
`void **` | `data` | pointer to a data pointer that points to allocated data that can be accessed using `MeasurementObjectValue`
`dipf_MeasurementValueFormat *` | `format` | pointer to a data format label, See `MeasurementObjectValue`
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

dip_MsrRegistry structure `MeasurementFeatureRegister`, `MsrCreateFunction`, `MsrValueFunction`, `MsrConvertFunction`, `MsrDescriptionFunction`

DIPlib on-line documentation | Function reference | Global function index